<?php
$tdataexpenditure_data = array();
$tdataexpenditure_data[".searchableFields"] = array();
$tdataexpenditure_data[".ShortName"] = "expenditure_data";
$tdataexpenditure_data[".OwnerID"] = "";
$tdataexpenditure_data[".OriginalTable"] = "expenditure_data";


$tdataexpenditure_data[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\",\"list1\",\"list_add\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataexpenditure_data[".originalPagesByType"] = $tdataexpenditure_data[".pagesByType"];
$tdataexpenditure_data[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\",\"list1\",\"list_add\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataexpenditure_data[".originalPages"] = $tdataexpenditure_data[".pages"];
$tdataexpenditure_data[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataexpenditure_data[".originalDefaultPages"] = $tdataexpenditure_data[".defaultPages"];

//	field labels
$fieldLabelsexpenditure_data = array();
$fieldToolTipsexpenditure_data = array();
$pageTitlesexpenditure_data = array();
$placeHoldersexpenditure_data = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsexpenditure_data["English"] = array();
	$fieldToolTipsexpenditure_data["English"] = array();
	$placeHoldersexpenditure_data["English"] = array();
	$pageTitlesexpenditure_data["English"] = array();
	$fieldLabelsexpenditure_data["English"]["id"] = "Id";
	$fieldToolTipsexpenditure_data["English"]["id"] = "";
	$placeHoldersexpenditure_data["English"]["id"] = "";
	$fieldLabelsexpenditure_data["English"]["date"] = "Date";
	$fieldToolTipsexpenditure_data["English"]["date"] = "";
	$placeHoldersexpenditure_data["English"]["date"] = "";
	$fieldLabelsexpenditure_data["English"]["expense_category"] = "Expense Category";
	$fieldToolTipsexpenditure_data["English"]["expense_category"] = "";
	$placeHoldersexpenditure_data["English"]["expense_category"] = "";
	$fieldLabelsexpenditure_data["English"]["details"] = "Source";
	$fieldToolTipsexpenditure_data["English"]["details"] = "";
	$placeHoldersexpenditure_data["English"]["details"] = "";
	$fieldLabelsexpenditure_data["English"]["amount"] = "Amount";
	$fieldToolTipsexpenditure_data["English"]["amount"] = "";
	$placeHoldersexpenditure_data["English"]["amount"] = "";
	$fieldLabelsexpenditure_data["English"]["expens_id"] = "Expens Id";
	$fieldToolTipsexpenditure_data["English"]["expens_id"] = "";
	$placeHoldersexpenditure_data["English"]["expens_id"] = "";
	$fieldLabelsexpenditure_data["English"]["details_2"] = "Detail";
	$fieldToolTipsexpenditure_data["English"]["details_2"] = "";
	$placeHoldersexpenditure_data["English"]["details_2"] = "";
	$fieldLabelsexpenditure_data["English"]["user"] = "User";
	$fieldToolTipsexpenditure_data["English"]["user"] = "";
	$placeHoldersexpenditure_data["English"]["user"] = "";
	$fieldLabelsexpenditure_data["English"]["outlet_code"] = "Outlet Code";
	$fieldToolTipsexpenditure_data["English"]["outlet_code"] = "";
	$placeHoldersexpenditure_data["English"]["outlet_code"] = "";
	$fieldLabelsexpenditure_data["English"]["bill_number"] = "Bill Number";
	$fieldToolTipsexpenditure_data["English"]["bill_number"] = "";
	$placeHoldersexpenditure_data["English"]["bill_number"] = "";
	$fieldLabelsexpenditure_data["English"]["quantity"] = "Quantity";
	$fieldToolTipsexpenditure_data["English"]["quantity"] = "";
	$placeHoldersexpenditure_data["English"]["quantity"] = "";
	$fieldLabelsexpenditure_data["English"]["sub_total"] = "Sub Total";
	$fieldToolTipsexpenditure_data["English"]["sub_total"] = "";
	$placeHoldersexpenditure_data["English"]["sub_total"] = "";
	$fieldLabelsexpenditure_data["English"]["payee"] = "Payee";
	$fieldToolTipsexpenditure_data["English"]["payee"] = "";
	$placeHoldersexpenditure_data["English"]["payee"] = "";
	if (count($fieldToolTipsexpenditure_data["English"]))
		$tdataexpenditure_data[".isUseToolTips"] = true;
}


	$tdataexpenditure_data[".NCSearch"] = true;



$tdataexpenditure_data[".shortTableName"] = "expenditure_data";
$tdataexpenditure_data[".nSecOptions"] = 0;

$tdataexpenditure_data[".mainTableOwnerID"] = "";
$tdataexpenditure_data[".entityType"] = 0;
$tdataexpenditure_data[".connId"] = "test2_at_localhost";


$tdataexpenditure_data[".strOriginalTableName"] = "expenditure_data";

	



$tdataexpenditure_data[".showAddInPopup"] = false;

$tdataexpenditure_data[".showEditInPopup"] = false;

$tdataexpenditure_data[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataexpenditure_data[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataexpenditure_data[".listAjax"] = false;
//	temporary
$tdataexpenditure_data[".listAjax"] = false;

	$tdataexpenditure_data[".audit"] = true;

	$tdataexpenditure_data[".locking"] = false;


$pages = $tdataexpenditure_data[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataexpenditure_data[".edit"] = true;
	$tdataexpenditure_data[".afterEditAction"] = 1;
	$tdataexpenditure_data[".closePopupAfterEdit"] = 1;
	$tdataexpenditure_data[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataexpenditure_data[".add"] = true;
$tdataexpenditure_data[".afterAddAction"] = 1;
$tdataexpenditure_data[".closePopupAfterAdd"] = 1;
$tdataexpenditure_data[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataexpenditure_data[".list"] = true;
}



$tdataexpenditure_data[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataexpenditure_data[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataexpenditure_data[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataexpenditure_data[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataexpenditure_data[".printFriendly"] = true;
}



$tdataexpenditure_data[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataexpenditure_data[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataexpenditure_data[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataexpenditure_data[".isUseAjaxSuggest"] = true;

$tdataexpenditure_data[".rowHighlite"] = true;



																																																																																																																																																																																																																																																															

$tdataexpenditure_data[".ajaxCodeSnippetAdded"] = false;

$tdataexpenditure_data[".buttonsAdded"] = false;

$tdataexpenditure_data[".addPageEvents"] = false;

// use timepicker for search panel
$tdataexpenditure_data[".isUseTimeForSearch"] = false;


$tdataexpenditure_data[".badgeColor"] = "dc143c";


$tdataexpenditure_data[".allSearchFields"] = array();
$tdataexpenditure_data[".filterFields"] = array();
$tdataexpenditure_data[".requiredSearchFields"] = array();

$tdataexpenditure_data[".googleLikeFields"] = array();
$tdataexpenditure_data[".googleLikeFields"][] = "id";
$tdataexpenditure_data[".googleLikeFields"][] = "date";
$tdataexpenditure_data[".googleLikeFields"][] = "expense_category";
$tdataexpenditure_data[".googleLikeFields"][] = "details";
$tdataexpenditure_data[".googleLikeFields"][] = "amount";
$tdataexpenditure_data[".googleLikeFields"][] = "expens_id";
$tdataexpenditure_data[".googleLikeFields"][] = "details_2";
$tdataexpenditure_data[".googleLikeFields"][] = "user";
$tdataexpenditure_data[".googleLikeFields"][] = "outlet_code";
$tdataexpenditure_data[".googleLikeFields"][] = "bill_number";
$tdataexpenditure_data[".googleLikeFields"][] = "quantity";
$tdataexpenditure_data[".googleLikeFields"][] = "sub_total";
$tdataexpenditure_data[".googleLikeFields"][] = "payee";



$tdataexpenditure_data[".tableType"] = "list";

$tdataexpenditure_data[".printerPageOrientation"] = 0;
$tdataexpenditure_data[".nPrinterPageScale"] = 100;

$tdataexpenditure_data[".nPrinterSplitRecords"] = 40;

$tdataexpenditure_data[".geocodingEnabled"] = false;










$tdataexpenditure_data[".pageSize"] = 20;

$tdataexpenditure_data[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataexpenditure_data[".strOrderBy"] = $tstrOrderBy;

$tdataexpenditure_data[".orderindexes"] = array();


$tdataexpenditure_data[".sqlHead"] = "SELECT id,  	`date`,  	expense_category,  	details,  	amount,  	expens_id,  	details_2,  	`user`,  	outlet_code,  	bill_number,  	quantity,  	sub_total,  	payee";
$tdataexpenditure_data[".sqlFrom"] = "FROM expenditure_data";
$tdataexpenditure_data[".sqlWhereExpr"] = "";
$tdataexpenditure_data[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataexpenditure_data[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataexpenditure_data[".arrGroupsPerPage"] = $arrGPP;

$tdataexpenditure_data[".highlightSearchResults"] = true;

$tableKeysexpenditure_data = array();
$tableKeysexpenditure_data[] = "id";
$tdataexpenditure_data[".Keys"] = $tableKeysexpenditure_data;


$tdataexpenditure_data[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "expenditure_data";
	$fdata["Label"] = GetFieldLabel("expenditure_data","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpenditure_data["id"] = $fdata;
		$tdataexpenditure_data[".searchableFields"][] = "id";
//	date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "date";
	$fdata["GoodName"] = "date";
	$fdata["ownerTable"] = "expenditure_data";
	$fdata["Label"] = GetFieldLabel("expenditure_data","date");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`date`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpenditure_data["date"] = $fdata;
		$tdataexpenditure_data[".searchableFields"][] = "date";
//	expense_category
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "expense_category";
	$fdata["GoodName"] = "expense_category";
	$fdata["ownerTable"] = "expenditure_data";
	$fdata["Label"] = GetFieldLabel("expenditure_data","expense_category");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "expense_category";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "expense_category";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "expense_category";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "expense_category";

	

	
	$edata["LookupOrderBy"] = "expense_category";

	
	
		$edata["AllowToAdd"] = true;
			$edata["addPageId"] = "add";

	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "details_2";

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpenditure_data["expense_category"] = $fdata;
		$tdataexpenditure_data[".searchableFields"][] = "expense_category";
//	details
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "details";
	$fdata["GoodName"] = "details";
	$fdata["ownerTable"] = "expenditure_data";
	$fdata["Label"] = GetFieldLabel("expenditure_data","details");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "details";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "details";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "expen_source";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "source";

	

	
	$edata["LookupOrderBy"] = "source";

	
	
		$edata["AllowToAdd"] = true;
			$edata["addPageId"] = "add";

	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpenditure_data["details"] = $fdata;
		$tdataexpenditure_data[".searchableFields"][] = "details";
//	amount
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "amount";
	$fdata["GoodName"] = "amount";
	$fdata["ownerTable"] = "expenditure_data";
	$fdata["Label"] = GetFieldLabel("expenditure_data","amount");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "amount";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "amount";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpenditure_data["amount"] = $fdata;
		$tdataexpenditure_data[".searchableFields"][] = "amount";
//	expens_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "expens_id";
	$fdata["GoodName"] = "expens_id";
	$fdata["ownerTable"] = "expenditure_data";
	$fdata["Label"] = GetFieldLabel("expenditure_data","expens_id");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "expens_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "expens_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpenditure_data["expens_id"] = $fdata;
		$tdataexpenditure_data[".searchableFields"][] = "expens_id";
//	details_2
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "details_2";
	$fdata["GoodName"] = "details_2";
	$fdata["ownerTable"] = "expenditure_data";
	$fdata["Label"] = GetFieldLabel("expenditure_data","details_2");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "details_2";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "details_2";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "expen_detail";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "detail";

	

	
	$edata["LookupOrderBy"] = "detail";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "expense_category", "lookup" => "expen_catagory" );

		$edata["AllowToAdd"] = true;
			$edata["addPageId"] = "add";

	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpenditure_data["details_2"] = $fdata;
		$tdataexpenditure_data[".searchableFields"][] = "details_2";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "expenditure_data";
	$fdata["Label"] = GetFieldLabel("expenditure_data","user");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`user`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpenditure_data["user"] = $fdata;
		$tdataexpenditure_data[".searchableFields"][] = "user";
//	outlet_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "outlet_code";
	$fdata["GoodName"] = "outlet_code";
	$fdata["ownerTable"] = "expenditure_data";
	$fdata["Label"] = GetFieldLabel("expenditure_data","outlet_code");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "outlet_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "outlet_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpenditure_data["outlet_code"] = $fdata;
		$tdataexpenditure_data[".searchableFields"][] = "outlet_code";
//	bill_number
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "bill_number";
	$fdata["GoodName"] = "bill_number";
	$fdata["ownerTable"] = "expenditure_data";
	$fdata["Label"] = GetFieldLabel("expenditure_data","bill_number");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "bill_number";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "bill_number";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpenditure_data["bill_number"] = $fdata;
		$tdataexpenditure_data[".searchableFields"][] = "bill_number";
//	quantity
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "quantity";
	$fdata["GoodName"] = "quantity";
	$fdata["ownerTable"] = "expenditure_data";
	$fdata["Label"] = GetFieldLabel("expenditure_data","quantity");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "quantity";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "quantity";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpenditure_data["quantity"] = $fdata;
		$tdataexpenditure_data[".searchableFields"][] = "quantity";
//	sub_total
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "sub_total";
	$fdata["GoodName"] = "sub_total";
	$fdata["ownerTable"] = "expenditure_data";
	$fdata["Label"] = GetFieldLabel("expenditure_data","sub_total");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "sub_total";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "sub_total";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpenditure_data["sub_total"] = $fdata;
		$tdataexpenditure_data[".searchableFields"][] = "sub_total";
//	payee
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "payee";
	$fdata["GoodName"] = "payee";
	$fdata["ownerTable"] = "expenditure_data";
	$fdata["Label"] = GetFieldLabel("expenditure_data","payee");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "payee";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "payee";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=200";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpenditure_data["payee"] = $fdata;
		$tdataexpenditure_data[".searchableFields"][] = "payee";


$tables_data["expenditure_data"]=&$tdataexpenditure_data;
$field_labels["expenditure_data"] = &$fieldLabelsexpenditure_data;
$fieldToolTips["expenditure_data"] = &$fieldToolTipsexpenditure_data;
$placeHolders["expenditure_data"] = &$placeHoldersexpenditure_data;
$page_titles["expenditure_data"] = &$pageTitlesexpenditure_data;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["expenditure_data"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["expenditure_data"] = array();



	
				$strOriginalDetailsTable="expens";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="expens";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "expens";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["expenditure_data"][0] = $masterParams;
				$masterTablesData["expenditure_data"][0]["masterKeys"] = array();
	$masterTablesData["expenditure_data"][0]["masterKeys"][]="id";
				$masterTablesData["expenditure_data"][0]["masterKeys"][]="outlet_code";
				$masterTablesData["expenditure_data"][0]["masterKeys"][]="user";
				$masterTablesData["expenditure_data"][0]["masterKeys"][]="date_time";
				$masterTablesData["expenditure_data"][0]["detailKeys"] = array();
	$masterTablesData["expenditure_data"][0]["detailKeys"][]="expens_id";
				$masterTablesData["expenditure_data"][0]["detailKeys"][]="outlet_code";
				$masterTablesData["expenditure_data"][0]["detailKeys"][]="user";
				$masterTablesData["expenditure_data"][0]["detailKeys"][]="date";
		
	
				$strOriginalDetailsTable="expense_category";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="expense_category";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "expense_category";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["expenditure_data"][1] = $masterParams;
				$masterTablesData["expenditure_data"][1]["masterKeys"] = array();
	$masterTablesData["expenditure_data"][1]["masterKeys"][]="id";
				$masterTablesData["expenditure_data"][1]["detailKeys"] = array();
	$masterTablesData["expenditure_data"][1]["detailKeys"][]="expense_category";
		
	
				$strOriginalDetailsTable="expen_source";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="expen_source";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "expen_source";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["expenditure_data"][2] = $masterParams;
				$masterTablesData["expenditure_data"][2]["masterKeys"] = array();
	$masterTablesData["expenditure_data"][2]["masterKeys"][]="id";
				$masterTablesData["expenditure_data"][2]["detailKeys"] = array();
	$masterTablesData["expenditure_data"][2]["detailKeys"][]="details";
		
	
				$strOriginalDetailsTable="expen_detail";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="expen_detail";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "expen_detail";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["expenditure_data"][3] = $masterParams;
				$masterTablesData["expenditure_data"][3]["masterKeys"] = array();
	$masterTablesData["expenditure_data"][3]["masterKeys"][]="id";
				$masterTablesData["expenditure_data"][3]["detailKeys"] = array();
	$masterTablesData["expenditure_data"][3]["detailKeys"][]="details_2";
		
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_expenditure_data()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	`date`,  	expense_category,  	details,  	amount,  	expens_id,  	details_2,  	`user`,  	outlet_code,  	bill_number,  	quantity,  	sub_total,  	payee";
$proto0["m_strFrom"] = "FROM expenditure_data";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "expenditure_data",
	"m_srcTableName" => "expenditure_data"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "expenditure_data";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "date",
	"m_strTable" => "expenditure_data",
	"m_srcTableName" => "expenditure_data"
));

$proto8["m_sql"] = "`date`";
$proto8["m_srcTableName"] = "expenditure_data";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "expense_category",
	"m_strTable" => "expenditure_data",
	"m_srcTableName" => "expenditure_data"
));

$proto10["m_sql"] = "expense_category";
$proto10["m_srcTableName"] = "expenditure_data";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "details",
	"m_strTable" => "expenditure_data",
	"m_srcTableName" => "expenditure_data"
));

$proto12["m_sql"] = "details";
$proto12["m_srcTableName"] = "expenditure_data";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "amount",
	"m_strTable" => "expenditure_data",
	"m_srcTableName" => "expenditure_data"
));

$proto14["m_sql"] = "amount";
$proto14["m_srcTableName"] = "expenditure_data";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "expens_id",
	"m_strTable" => "expenditure_data",
	"m_srcTableName" => "expenditure_data"
));

$proto16["m_sql"] = "expens_id";
$proto16["m_srcTableName"] = "expenditure_data";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "details_2",
	"m_strTable" => "expenditure_data",
	"m_srcTableName" => "expenditure_data"
));

$proto18["m_sql"] = "details_2";
$proto18["m_srcTableName"] = "expenditure_data";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "user",
	"m_strTable" => "expenditure_data",
	"m_srcTableName" => "expenditure_data"
));

$proto20["m_sql"] = "`user`";
$proto20["m_srcTableName"] = "expenditure_data";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "outlet_code",
	"m_strTable" => "expenditure_data",
	"m_srcTableName" => "expenditure_data"
));

$proto22["m_sql"] = "outlet_code";
$proto22["m_srcTableName"] = "expenditure_data";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "bill_number",
	"m_strTable" => "expenditure_data",
	"m_srcTableName" => "expenditure_data"
));

$proto24["m_sql"] = "bill_number";
$proto24["m_srcTableName"] = "expenditure_data";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "quantity",
	"m_strTable" => "expenditure_data",
	"m_srcTableName" => "expenditure_data"
));

$proto26["m_sql"] = "quantity";
$proto26["m_srcTableName"] = "expenditure_data";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "sub_total",
	"m_strTable" => "expenditure_data",
	"m_srcTableName" => "expenditure_data"
));

$proto28["m_sql"] = "sub_total";
$proto28["m_srcTableName"] = "expenditure_data";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "payee",
	"m_strTable" => "expenditure_data",
	"m_srcTableName" => "expenditure_data"
));

$proto30["m_sql"] = "payee";
$proto30["m_srcTableName"] = "expenditure_data";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto32=array();
$proto32["m_link"] = "SQLL_MAIN";
			$proto33=array();
$proto33["m_strName"] = "expenditure_data";
$proto33["m_srcTableName"] = "expenditure_data";
$proto33["m_columns"] = array();
$proto33["m_columns"][] = "id";
$proto33["m_columns"][] = "date";
$proto33["m_columns"][] = "expense_category";
$proto33["m_columns"][] = "details";
$proto33["m_columns"][] = "amount";
$proto33["m_columns"][] = "expens_id";
$proto33["m_columns"][] = "details_2";
$proto33["m_columns"][] = "user";
$proto33["m_columns"][] = "outlet_code";
$proto33["m_columns"][] = "bill_number";
$proto33["m_columns"][] = "quantity";
$proto33["m_columns"][] = "sub_total";
$proto33["m_columns"][] = "payee";
$obj = new SQLTable($proto33);

$proto32["m_table"] = $obj;
$proto32["m_sql"] = "expenditure_data";
$proto32["m_alias"] = "";
$proto32["m_srcTableName"] = "expenditure_data";
$proto34=array();
$proto34["m_sql"] = "";
$proto34["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto34["m_column"]=$obj;
$proto34["m_contained"] = array();
$proto34["m_strCase"] = "";
$proto34["m_havingmode"] = false;
$proto34["m_inBrackets"] = false;
$proto34["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto34);

$proto32["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto32);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="expenditure_data";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_expenditure_data = createSqlQuery_expenditure_data();


	
		;

													

$tdataexpenditure_data[".sqlquery"] = $queryData_expenditure_data;



$tableEvents["expenditure_data"] = new eventsBase;
$tdataexpenditure_data[".hasEvents"] = false;

?>